Droids App Compatibility

Updated 2 months ago by mike moran

The Star Wars Droids App works with our BB-8, BB-8 Special Edition, BB-9E, and R2-D2 Droids. The app is also Platform Agnostic and works with many BLE iOS and Android devices.  Specific operating systems and device requirements are as follows:iOS

 

Device Model

OS Version

iPad 3+

iOS 10+

iPhone 4S+    

iOS 10+

iPod Touch 5th Generation +

iOS 10+

Android

Android devices, while having OS 5.0 or higher, must have all of the following hardware in order to operate a Droid using the app:

  • Bluetooth LE (4.0)
  • Front and rear-facing cameras
  • Microphone
  • Distinct multi-touch landscape touchscreen
  • Hardware sensors including gyroscope and accelerometer
  • WiFi capabilities

Windows

The application is not compatible with Windows at this time 


How did we do?


Powered by HelpDocs